Author Topic: CUPS printing - filter deployment how to?  (Read 567 times)

Dariusz Piatkowski

  • Hero Member
  • *****
  • Thank You
  • -Given: 15
  • -Receive: 32
  • Posts: 991
  • Karma: +21/-0
    • View Profile
CUPS printing - filter deployment how to?
« on: September 09, 2021, 11:22:20 pm »
So I'm up and running with the CUPS framework deployed here (the latest netlabs-EXP release - 2.2.13-1.oc00).

My Brother HL-5470DW printer already has native OS/2 PSCRIPT driver support, although there are a couple of problems with it that may be caused by either a bug in OS/2 printing system, or could be the result of my PPD file import itself.

Therefore, I figured I would try to deploy CUPS to see if I can address the issues I'm seeing through that approach.

However, what I have learned so far is that the Brother release of their CUPS drivers requires one to deploy a printer filter script. Not a terribly complex script by the looks of it, but I have no idea how the heck to do this filter deployment on our OS/2 platform. Most of the generic on-line info I've found doesn't even corelate to our filesystems structure either.

Further on, if I understood the published on-line information re: deploying CUPS on our platform, it would appear that once a printer is finalized within the CUPS framework I still need to replicate the very same printer object on our OS/2. That of course in my case requires the import of the PPD, which I think will cause the same problems I'm already seeing with the native drivers.

Anyways, that last part is just a guess so far, not sure about this. The first step is to figure out how to deploy the filter script...any ideas/suggestions?

Thanks!

Neil Waldhauer

  • Hero Member
  • *****
  • Thank You
  • -Given: 14
  • -Receive: 62
  • Posts: 747
  • Karma: +20/-0
    • View Profile
    • Blonde Guy
Re: CUPS printing - filter deployment how to?
« Reply #1 on: September 10, 2021, 03:33:16 pm »
If your cups installation is similar enough to the one used in ArcaOS, can you use PRINTMAN to set things up? In 5.0.6, the HL-5470DW isn't listed, but you installed -exp, so maybe it's already there.
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com